/* 
 * Generate 10 numbers in [0, 1), then apply SmallCrush on MultiCarry

> set.seed(123457, kind = "Marsag")
> marsag.seed <- .Random.seed
> runif(10)
 [1] 0.57358579 0.06585771 0.98855517 0.39641843 0.36798657 0.11162489
 [7] 0.61498899 0.07283586 0.80658286 0.48194005
> marsag.seed
[1]          1 1012585244 -997230227
> 
 */

#include "bbattery.h"
#include "unif01.h"
#include "multicarry.h"
#include <stdio.h>

int main (void) 
{
   int i;
   unif01_Gen *gen;

   gen = CreateMultiCarry (1012585244, -997230227);
   for (i = 0; i < 10; i++) 
      printf ("%14.10f\n", unif01_StripD (gen, 0));

   bbattery_BigCrush (gen);
   DeleteMultiCarry (gen);

   return 0;
}
